Loading...
Searching...
No Matches
decaf::Rng Class Referenceabstract

Prototype of a random number generator. More...

`#include <secure_buffer.hxx>`

Inheritance diagram for decaf::Rng:

## Public Member Functions

virtual void | read (Buffer buffer) DECAF_NOEXCEPT=0
| Read into a Buffer.
SecureBuffer | read (size_t length)
| Read into a SecureBuffer.

## Protected Member Functions

| Rng ()
| Empty initializer.
| Rng (const Rng &) DECAF_DELETE
| Not copyable.
Rng & | operator= (const Rng &) DECAF_DELETE
| Not copyable.

## Detailed Description

Prototype of a random number generator.

FUTURE: Are the noexcept methods really noexcept? What about self-reseeding RNGs?

## Member Function Documentation

## read()

virtual void decaf::Rng::read | ( | Buffer | buffer | ) |

pure virtual

Read into a Buffer.

Implemented in decaf::SpongeRng, and decaf::SpongeRng.

The documentation for this class was generated from the following file:

- src/GENERATED/include/decaf/secure_buffer.hxx